Package org.eclipse.ui

## Interface IReusableEditor

All Superinterfaces:
  `IAdaptable`, `IEditorPart`, `ISaveablePart`, `IWorkbenchPart`

All Known Implementing Classes:
  `AbstractDecoratedTextEditor`, `AbstractTextEditor`, `CommonSourceNotFoundEditor`, `StatusTextEditor`, `TextEditor`

    public interface IReusableEditor
    extends IEditorPart

Interface for reusable editors. An editors may support changing its input so that the workbench may change its contents instead of opening a new editor.

### Field Summary

### Fields inherited from interface org.eclipse.ui.IEditorPart

`PROP_DIRTY, PROP_INPUT`

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setInput​(IEditorInput input)` Sets the input to this editor.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.ui.IEditorPart

`getEditorInput, getEditorSite, init`

### Methods inherited from interface org.eclipse.ui.ISaveablePart

`doSave, doSaveAs, isDirty, isSaveAsAllowed, isSaveOnCloseNeeded`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`addPropertyListener, createPartControl, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setFocus`

### Method Detail

#### setInput

    void setInput​(IEditorInput input)

Sets the input to this editor.

Note: Clients must fire the `IEditorPart.PROP_INPUT` property change within their implementation of `setInput()`.

Parameters:
  `input` - the editor input